> For the complete documentation index, see [llms.txt](https://docs.hackle.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hackle.io/crm-marketing/webhook-guide/use-cases/webhook-kakaotalk-nhn.md).

# 웹훅으로 카카오 알림톡 보내기 (NHN클라우드)

업체에서 제공하는 API를 참고하여 웹훅 캠페인을 생성할 수 있습니다. 이번에는

[NHN 카카오 비즈톡 발송 API](https://docs.nhncloud.com/ko/Notification/KakaoTalk%20Bizmessage/ko/friendtalk-overview/) 를 활용하여 웹훅을 만드는 경우를 알아보도록 하겠습니다.

#### URL 설정

먼저 NHN 메시지 발송 API 에 맞게 http method 와 URL 을 입력합니다.

![](/files/2a44A8J93W4ZeRjW3elQ)

#### Header 설정

Headers 탭에서 '추가하기' 버튼을 눌러 Key 와 Value 에 다음과 같이 세팅합니다.

NHN에서 발급받은 X-Secret-Key와 accesstoken 을 발송 대상 유저별로 동적으로 추가하기 위해 개인화를 활용하였습니다.

Key : `Authorization`

Value: `{{user_properties.authorization_type}} {{user_properties.access_token}}`

![](/files/kfsGrwLY70wMtcqGf6KN)

> 📘 개인화 활용
>
> {...} 를 눌러 개인화 메세지를 작성하는 것과 마찬가지로 이미 저장된 유저 및 이벤트 [속성](/event-management/properties.md) 을 활용해 위 예시와 같이 유저별 토큰 값 등을 동적으로 주입하는 등, 웹훅 메시지에 캠페인 설정 시에 활용할 수 있습니다.

#### Body 설정

Body 탭을 눌러 다음과 같이 Request body 를 Json 형식으로 작성합니다.

![](/files/rm9FAJUKq2BKJ331pPYs)

#### Kakao Alimtalk Delivery Body Sample

> 📘 개인화 활용
>
> {...} 를 눌러 개인화 메세지를 작성하는 것과 마찬가지로 이미 저장된 유저 및 이벤트 [속성](/event-management/properties.md) 을 활용해 아래 예시와 같이 유저별 전화번호 등을 동적으로 주입하는 등, 웹훅 메시지에 캠페인 설정 시에 활용할 수 있습니다.

```
curl https://api-alimtalk.cloud.toast.com/alimtalk/v2.3/appkeys/{appkey}/messages?webhook_key=10 \
  -X POST \
  -H "Content-Type": "application/json" \
  -H "X-Secret-Key": "X-Secret-Key" \
  -H "Authorization": "{{user_properties["authorization_type"] }}{{user_properties["access_token"] }}" \
  -d '{
    "senderKey": "String",
    "templateCode": "String",
    "requestDate": "String",
    "senderGroupingKey": "String",
    "createUser": "String",
    "recipientList": [{
        "recipientNo": "{{user_properties["phoneNumber"] | default: ""}}",
        "templateParameter": {
            "String": "String"
        },
        "resendParameter": {
          "isResend": "boolean",
          "resendType": "String",
          "resendTitle": "String",
          "resendContent": "String",
          "resendSendNo": "String"
        },
        "buttons": [
          {
            "ordering": "Integer",
            "chatExtra": "String",
            "chatEvent": "String",
            "relayId": "String",
            "oneClickId": "String",
            "productId": "String",
            "target": "String"
          }
        ],
        "quickReplies": [
        {
            "ordering": "Integer",
            "chatExtra": "String",
            "chatEvent": "String",
            "target": "String"
        }
        ],
        "recipientGroupingKey": "String"
    }],
    "messageOption": {
      "price": "Integer",
      "currencyType": "String"
    },
    "statsId": "String"
}'
```

#### 대상 설정

웹훅 발송 대상이 될 코호트를 설정합니다.

![](/files/mk5PU6XIhINNKBiiqvxt)

#### 요약

이제 웹훅을 캠페인 설정을 저장합니다. 아래와 같은 요약을 확인할 수 있습니다.

![](/files/UGq2mhtF335Aah7U5wVh)

#### 발송 설정

이제 발송 설정을 통해 실제로 웹훅 캠페인을 활성화 합니다.

발송 설정 화면에서 예상 발송 대상에 대한 정보를 확인할 수 있습니다.

발송 유형 및 고객 피로도 관리를 세팅한 후 '시작하기'를 눌러 캠페인을 활성화 합니다.

![](/files/Wfycaiwh3sOL1QVFf87Y)

#### 완료

카카오 알림톡 웹훅 캠페인 활성화가 완료되었습니다.

통계 부분을 확인하여 캠페인의 성과를 추적해보세요

![](/files/S2ixPL0mYAbOe8rYJDYu)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hackle.io/crm-marketing/webhook-guide/use-cases/webhook-kakaotalk-nhn.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
